{
  "name": "extra-net",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "build-dev": "ng build --configuration=dev",
    "build-uat": "ng build --configuration=uat",
    "build-preprod": "ng build --configuration=preprod",
    "build-prod": "ng build --configuration=prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "post-build": "node ./build/post-build.js",
    "serve": "node --max_old_space_size=8192 ./node_modules/@angular/cli/bin/ng serve"
  },
  "private": true,
  "dependencies": {
    "@angular/cdk": "^20.1.2",
    "@angular/common": "^20.1.0",
    "@angular/compiler": "^20.1.0",
    "@angular/core": "^20.1.0",
    "@angular/forms": "^20.1.0",
    "@angular/material": "^20.1.2",
    "@angular/platform-browser": "^20.1.0",
    "@angular/platform-browser-dynamic": "^20.1.2",
    "@angular/router": "^20.1.0",
    "@fullcalendar/angular": "^6.1.15",
    "@fullcalendar/daygrid": "^6.1.15",
    "@ng-select/ng-option-highlight": "^13.7.0",
    "@ng-select/ng-select": "^20.1.2",
    "@ngx-translate/core": "^17.0.0",
    "ag-grid-angular": "^32.0.2",
    "ag-grid-community": "^32.0.2",
    "angular-calendar": "^0.31.1",
    "crypto-js": "^4.2.0",
    "date-fns": "^3.6.0",
    "file-saver": "^2.0.5",
    "jsencrypt": "^3.3.2",
    "jspdf": "^3.0.1",
    "jspdf-autotable": "^5.0.2",
    "moment": "^2.30.1",
    "ng-otp-input": "^2.0.8",
    "ngx-cookie-service": "^20.0.1",
    "primeng": "^20.0.0",
    "quill": "^2.0.3",
    "rxjs": "~7.8.0",
    "tslib": "^2.3.0",
    "xlsx": "^0.18.5",
    "zone.js": "~0.15.0"
  },
  "devDependencies": {
    "@angular/build": "^20.1.1",
    "@angular/cli": "^20.1.1",
    "@angular/compiler-cli": "^20.1.0",
    "@types/file-saver": "^2.0.7",
    "@types/node": "^22.1.0",
    "@types/jasmine": "~5.1.0",
    "jasmine-core": "~5.8.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "typescript": "~5.8.2",
    "webpack": "^5.93.0"
  }
}